clang 8.0.0

Public Member Functions | List of all members
clang::CFGTerminator Class Reference

Represents CFGBlock terminator statement. More...

`#include "clang/Analysis/CFG.h"`

## Public Member Functions
| CFGTerminator ()=default
| CFGTerminator (Stmt *S, bool TemporaryDtorsBranch=false)
Stmt * | getStmt ()
const Stmt * | getStmt () const
bool | isTemporaryDtorsBranch () const
| operator Stmt * ()
| operator const Stmt * () const
Stmt * | operator-> ()
const Stmt * | operator-> () const
Stmt & | operator* ()
const Stmt & | operator* () const
| operator bool () const

## Detailed Description

Represents CFGBlock terminator statement.

TemporaryDtorsBranch bit is set to true if the terminator marks a branch in control flow of destructors of temporaries. In this case terminator statement is the same statement that branches control flow in evaluation of matching full expression.

Definition at line 502 of file CFG.h.

## Constructor & Destructor Documentation

## ◆ CFGTerminator() [1/2]

clang::CFGTerminator::CFGTerminator | ( |  | ) |
| default

## ◆ CFGTerminator() [2/2]

clang::CFGTerminator::CFGTerminator | ( | Stmt * | S,
|  | bool | TemporaryDtorsBranch = `false`
| ) |  |
| inline

Definition at line 507 of file CFG.h.

## Member Function Documentation

## ◆ getStmt() [1/2]

Stmt* clang::CFGTerminator::getStmt | ( |  | ) |
| inline

Definition at line 510 of file CFG.h.

Referenced by clang::ento::CoreEngine::ExecuteWorkListWithInitialState(), clang::CFGBlock::FilterEdge(), llvm::simplify_type< ::clang::CFGTerminator >::getSimplifiedValue(), clang::consumed::ConsumedStateMap::operator!=(), and clang::ento::ExprEngine::VisitLogicalExpr().

## ◆ getStmt() [2/2]

const Stmt* clang::CFGTerminator::getStmt | ( |  | ) | const
| inline

Definition at line 511 of file CFG.h.

## ◆ isTemporaryDtorsBranch()

bool clang::CFGTerminator::isTemporaryDtorsBranch | ( |  | ) | const
| inline

Definition at line 513 of file CFG.h.

Referenced by clang::CFGBlock::FilterEdge(), and ResolveCondition().

## ◆ operator bool()

clang::CFGTerminator::operator bool | ( |  | ) | const
| inline explicit

Definition at line 524 of file CFG.h.

## ◆ operator const Stmt *()

clang::CFGTerminator::operator const Stmt * | ( |  | ) | const
| inline

Definition at line 516 of file CFG.h.

## ◆ operator Stmt *()

clang::CFGTerminator::operator Stmt * | ( |  | ) |
| inline

Definition at line 515 of file CFG.h.

## ◆ operator*() [1/2]

Stmt& clang::CFGTerminator::operator* | ( |  | ) |
| inline

Definition at line 521 of file CFG.h.

## ◆ operator*() [2/2]

const Stmt& clang::CFGTerminator::operator* | ( |  | ) | const
| inline

Definition at line 522 of file CFG.h.

## ◆ operator->() [1/2]

Stmt* clang::CFGTerminator::operator-> | ( |  | ) |
| inline

Definition at line 518 of file CFG.h.

## ◆ operator->() [2/2]

const Stmt* clang::CFGTerminator::operator-> | ( |  | ) | const
| inline

Definition at line 519 of file CFG.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/CFG.h